summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-04-12 02:36:51 +0000
committerMike Frysinger <vapier@gentoo.org>2006-04-12 02:36:51 +0000
commitc94ef963962874032553075f9a6789d89ea539cb (patch)
tree0359d4f42704dce68a0e30085b2080cf89472a5d /eclass/toolchain.eclass
parentVersion bump. (diff)
downloadgentoo-2-c94ef963962874032553075f9a6789d89ea539cb.tar.gz
gentoo-2-c94ef963962874032553075f9a6789d89ea539cb.tar.bz2
gentoo-2-c94ef963962874032553075f9a6789d89ea539cb.zip
only warn about fix_libtool_files.sh when doing a native build
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass12
1 files changed, 7 insertions, 5 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 286f891b6a5e..c8d093a1f8c0 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.264 2006/04/11 23:40:19 halcy0n Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.265 2006/04/12 02:36:51 vapier Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -839,10 +839,12 @@ gcc-compiler_pkg_postinst() {
do_gcc_config
fi
- echo
- einfo "If you have issues with packages unable to locate libstdc++.la,"
- einfo "then try running 'fix_libtool_files.sh' on the old gcc versions."
- echo
+ if ! is_crosscompile ; then
+ echo
+ einfo "If you have issues with packages unable to locate libstdc++.la,"
+ einfo "then try running 'fix_libtool_files.sh' on the old gcc versions."
+ echo
+ fi
# If our gcc-config version doesn't like '-' in it's version string,
# tell our users that gcc-config will yell at them, but it's all good.